## sshcommand 0~20160110.1~2795f65

=== Makefile ===
.PHONY: ci-dependencies shellcheck bats install lint unit-tests test build-test-container test-in-docker
SYSTEM := $(shell sh -c 'uname -s 2>/dev/null')

ci-dependencies: shellcheck bats

shellcheck:
ifneq ($(shell shellcheck --version > /dev/null 2>&1 ; echo $$?),0)
ifeq ($(SYSTEM),Darwin)
	brew install shellcheck
else
	sudo add-apt-repository 'deb http://archive.ubuntu.com/ubuntu trusty-backports main restricted universe multiverse'
	sudo apt-get update && sudo -E apt-get install -y -qq shellcheck
endif
endif

bats:
ifneq ($(shell bats --version > /dev/null 2>&1 ; echo $$?),0)
ifeq ($(SYSTEM),Darwin)
	brew install bats
else
	sudo mkdir -p /usr/local
	git clone https://github.com/sstephenson/bats.git /tmp/bats
	cd /tmp/bats && sudo ./install.sh /usr/local
	rm -rf /tmp/bats
endif
endif

install:
	@echo setting up...
	cp ./sshcommand /usr/local/bin
	chmod +x /usr/local/bin

lint:
	@echo linting...
	@$(QUIET) find . -not -path '*/\.*' | xargs file | egrep "shell|bash" | awk '{ print $$1 }' | sed 's/://g' | xargs shellcheck

unit-tests:
	@echo running unit tests...
	@$(QUIET) bats tests/unit

test: lint unit-tests

build-test-container:
	@echo building test container...
	docker build -t sshcommand_test -f Dockerfile.test .

test-in-docker:
ifneq ($(shell docker inspect sshcommand_test > /dev/null 2>&1 ; echo $$?),0)
	$(MAKE) build-test-container
endif
	docker run -ti --rm -v ${PWD}:/app -w /app --hostname='box223' sshcommand_test make ci-dependencies install test

## sshcommand 0~20150207.1~e6d1655

=== debian/changelog ===
sshcommand (0~20150207.1~e6d1655-1) unstable; urgency=medium

  * Initial release. (Closes: #777335)

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 Feb 2015 13:34:38 +0000

=== debian/control ===
Source: sshcommand
Section: admin
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~)
Build-Depends-Indep:
 git
Standards-Version: 3.9.6
Homepage: https://github.com/progrium/sshcommand
Vcs-Git: git://anonscm.debian.org/collab-maint/sshcommand.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sshcommand.git

Package: sshcommand
Architecture: all
Depends:
 openssh-server | ssh-server,
 ${misc:Depends}
Description: turn SSH into a thin client specifically for your command
 Simplifies running a single command over SSH, and manages
 authorized keys (ACL) and users in order to do so.
 .
 It basically simplifies running:
 .
   ssh user@server 'ls -l <your-args>'
 into:
 .
   ssh ls@server <your-args>

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf get-orig-source

get-orig-source:
	sh debian/get-git-source.sh

## sshcommand 0~20160110.1~2795f65

=== debian/changelog ===
sshcommand (0~20160110.1~2795f65-1) unstable; urgency=medium

  * Imported Upstream version 0~20160110.1~2795f65
  * Upstream project's moved home
  * Override upstream makefile's unnecessary rules in debian/rules
  * Build-dep on shellcheck

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jan 2016 12:00:09 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Build-Depends:
  debhelper (>= 9~)
 Build-Depends-Indep:
- git
+ git,
+ shellcheck
 Standards-Version: 3.9.6
-Homepage: https://github.com/progrium/sshcommand
+Homepage: https://github.com/dokku/sshcommand
 Vcs-Git: git://anonscm.debian.org/collab-maint/sshcommand.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sshcommand.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	shellcheck sshcommand

override_dh_auto_clean:
	dh_auto_clean
	rm -rf get-orig-source

override_dh_auto_install:
override_dh_auto_test:

get-orig-source:
	sh debian/get-git-source.sh

## sshcommand 0.20.1

=== Makefile ===
.PHONY: ci-dependencies shellcheck bats install lint unit-tests test
NAME = sshcommand
EMAIL = sshcommand@josediazgonzalez.com
MAINTAINER = dokku
MAINTAINER_NAME = Jose Diaz-Gonzalez
REPOSITORY = sshcommand
HARDWARE = $(shell uname -m)
SYSTEM_NAME  = $(shell uname -s | tr '[:upper:]' '[:lower:]')
BASE_VERSION ?= 0.17.1
IMAGE_NAME ?= $(MAINTAINER)/$(REPOSITORY)
PACKAGECLOUD_REPOSITORY ?= dokku/dokku-betafish

ifeq ($(CI_BRANCH),release)
	VERSION ?= $(BASE_VERSION)
	DOCKER_IMAGE_VERSION = $(VERSION)
else
	VERSION = $(shell echo "${BASE_VERSION}")build+$(shell git rev-parse --short HEAD)
	DOCKER_IMAGE_VERSION = $(shell echo "${BASE_VERSION}")build-$(shell git rev-parse --short HEAD)
endif

version:
	@sed -i.bak 's/SSHCOMMAND_VERSION=""/SSHCOMMAND_VERSION="$(VERSION)"/' sshcommand && rm sshcommand.bak
	@echo "$(CI_BRANCH)"
	@echo "$(VERSION)"
	@./sshcommand version


define PACKAGE_DESCRIPTION
Turn SSH into a thin client specifically for your app
Simplifies running a single command over SSH, and
manages authorized keys (ACL) and users in order to do so.
endef

export PACKAGE_DESCRIPTION

LIST = build release release-packagecloud validate
targets = $(addsuffix -in-docker, $(LIST))

.env.docker:
	@rm -f .env.docker
	@touch .env.docker
	@echo "CI_BRANCH=$(CI_BRANCH)" >> .env.docker
	@echo "GITHUB_ACCESS_TOKEN=$(GITHUB_ACCESS_TOKEN)" >> .env.docker
	@echo "IMAGE_NAME=$(IMAGE_NAME)" >> .env.docker
	@echo "PACKAGECLOUD_REPOSITORY=$(PACKAGECLOUD_REPOSITORY)" >> .env.docker
	@echo "PACKAGECLOUD_TOKEN=$(PACKAGECLOUD_TOKEN)" >> .env.docker
	@echo "VERSION=$(VERSION)" >> .env.docker

build: pre-build
	@$(MAKE) build/darwin/$(NAME)
	@$(MAKE) build/linux/$(NAME)
	@$(MAKE) build/deb/$(NAME)_$(VERSION)_all.deb

build-docker-image:
	docker build --rm -q -t $(IMAGE_NAME):build .

$(targets): %-in-docker: .env.docker
	docker run \
		--env-file .env.docker \
		--rm \
		--volume /var/lib/docker:/var/lib/docker \
		--volume /var/run/docker.sock:/var/run/docker.sock:ro \
		--volume ${PWD}:/src/github.com/$(MAINTAINER)/$(REPOSITORY) \
		--workdir /src/github.com/$(MAINTAINER)/$(REPOSITORY) \
		$(IMAGE_NAME):build make -e $(@:-in-docker=)

build/darwin/$(NAME):
	chmod +x sshcommand
	mkdir -p build/darwin
	cp -f sshcommand build/darwin/sshcommand

build/linux/$(NAME):
	chmod +x sshcommand
	mkdir -p build/linux
	cp -f sshcommand build/linux/sshcommand

build/deb/$(NAME)_$(VERSION)_all.deb: build/linux/$(NAME)
	chmod 644 LICENSE
	export SOURCE_DATE_EPOCH=$(shell git log -1 --format=%ct) \
		&& mkdir -p build/deb \
		&& fpm \
		--architecture all \
		--category admin \
		--depends adduser \
		--depends coreutils \
		--depends jq \
		--depends libc-bin \
		--depends openssh-client \
		--description "$$PACKAGE_DESCRIPTION" \
		--input-type dir \
		--license 'MIT License' \
		--maintainer "$(MAINTAINER_NAME) <$(EMAIL)>" \
		--name $(NAME) \
		--output-type deb \
		--package build/deb/$(NAME)_$(VERSION)_all.deb \
		--url "https://github.com/$(MAINTAINER)/$(REPOSITORY)" \
		--vendor "" \
		--version $(VERSION) \
		--verbose \
		build/linux/$(NAME)=/usr/bin/$(NAME) \
		LICENSE=/usr/share/doc/$(NAME)/copyright

clean:
	rm -rf build release validation

ci-setup:
	docker version
	rm -f ~/.gitconfig

bin/gh-release:
	mkdir -p bin
	curl -o bin/gh-release.tgz -sL https://github.com/progrium/gh-release/releases/download/v2.3.0/gh-release_2.3.0_$(SYSTEM_NAME)_$(HARDWARE).tgz
	tar xf bin/gh-release.tgz -C bin
	chmod +x bin/gh-release

bin/gh-release-body:
	mkdir -p bin
	curl -o bin/gh-release-body "https://raw.githubusercontent.com/dokku/gh-release-body/master/gh-release-body"
	chmod +x bin/gh-release-body

release: bin/gh-release bin/gh-release-body
	rm -rf release && mkdir release
	tar -zcf release/$(NAME)_$(VERSION)_linux_$(HARDWARE).tgz -C build/linux $(NAME)
	tar -zcf release/$(NAME)_$(VERSION)_darwin_$(HARDWARE).tgz -C build/darwin $(NAME)
	cp build/deb/$(NAME)_$(VERSION)_all.deb release/$(NAME)_$(VERSION)_all.deb
	bin/gh-release create $(MAINTAINER)/$(REPOSITORY) $(VERSION) $(shell git rev-parse --abbrev-ref HEAD)
	bin/gh-release-body $(MAINTAINER)/$(REPOSITORY) v$(VERSION)

release-packagecloud:
	@$(MAKE) release-packagecloud-deb

release-packagecloud-deb: build/deb/$(NAME)_$(VERSION)_all.deb
	package_cloud push $(PACKAGECLOUD_REPOSITORY)/ubuntu/jammy build/deb/$(NAME)_$(VERSION)_all.deb
	package_cloud push $(PACKAGECLOUD_REPOSITORY)/ubuntu/noble build/deb/$(NAME)_$(VERSION)_all.deb
	package_cloud push $(PACKAGECLOUD_REPOSITORY)/debian/bullseye build/deb/$(NAME)_$(VERSION)_all.deb
	package_cloud push $(PACKAGECLOUD_REPOSITORY)/debian/bookworm build/deb/$(NAME)_$(VERSION)_all.deb
	package_cloud push $(PACKAGECLOUD_REPOSITORY)/debian/trixie build/deb/$(NAME)_$(VERSION)_all.deb
	package_cloud push $(PACKAGECLOUD_REPOSITORY)/raspbian/bullseye build/deb/$(NAME)_$(VERSION)_all.deb

validate: test
	mkdir -p validation
	lintian build/deb/$(NAME)_$(VERSION)_all.deb || true
	dpkg-deb --info build/deb/$(NAME)_$(VERSION)_all.deb
	dpkg -c build/deb/$(NAME)_$(VERSION)_all.deb
	cd validation && ar -x ../build/deb/$(NAME)_$(VERSION)_all.deb
	ls -lah build/deb validation
	sha1sum build/deb/$(NAME)_$(VERSION)_all.deb

test: lint unit-tests

lint: shellcheck bats
	@echo linting...
	# SC2034: VAR appears unused - https://github.com/koalaman/shellcheck/wiki/SC2034
	# desc is used to declare the description of the function
	@$(QUIET) find . -not -path '*/\.*' | xargs file | egrep "shell|bash" | awk '{ print $$1 }' | sed 's/://g' | xargs shellcheck -e SC2034

unit-tests: /usr/local/bin/sshcommand
	@echo running unit tests...
	@mkdir -p test-results/bats
	@$(QUIET) TERM=linux bats --report-formatter junit --timing -o test-results/bats tests/unit

pre-build:
	git config --global --add safe.directory $(shell pwd)
	git status

/usr/local/bin/sshcommand:
	@echo installing sshcommand
	cp ./sshcommand /usr/local/bin/sshcommand
	chmod +x /usr/local/bin/sshcommand

shellcheck:
ifneq ($(shell shellcheck --version >/dev/null 2>&1 ; echo $$?),0)
ifeq ($(SYSTEM_NAME),darwin)
	brew install shellcheck
else
	sudo apt-get update -qq && sudo apt-get install -qq -y shellcheck
endif
endif

bats:
ifeq ($(SYSTEM_NAME),darwin)
ifneq ($(shell bats --version >/dev/null 2>&1 ; echo $$?),0)
	brew install bats-core
endif
else
	git clone https://github.com/bats-core/bats-core.git /tmp/bats
	cd /tmp/bats && sudo ./install.sh /usr/local
	rm -rf /tmp/bats
endif

=== debian/changelog ===
sshcommand (0.20.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Johannes Schauer Marin Rodrigues ]
  * debian/rules: do not run shellcheck for DEB_BUILD_OPTIONS=nocheck

  [ Andreas Tille ]
  * New upstream version
  * d/watch: version=5
  * Point Vcs fields to Salsa
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * d/rules: Drop unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Thu, 15 Jan 2026 22:02:42 +0100

sshcommand (0~20160110.1~2795f65-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/control: Added 'debhelper-compat' in Build-Depends field and
        bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/pathes/010_FTBFS-shellcheck-fails.patch: added to fix FTBFS.
    (Closes: #952298)
  * debian/watch: updated with remote repository information.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Wed, 05 May 2021 18:50:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: sshcommand
 Section: admin
-Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends:
- debhelper (>= 9~)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  git,
  shellcheck
-Standards-Version: 3.9.6
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/sshcommand
+Vcs-Git: https://salsa.debian.org/debian/sshcommand.git
 Homepage: https://github.com/dokku/sshcommand
-Vcs-Git: git://anonscm.debian.org/collab-maint/sshcommand.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sshcommand.git
 
 Package: sshcommand
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	shellcheck sshcommand
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf get-orig-source

override_dh_auto_install:
override_dh_auto_test:

=== debian/watch ===
Version: 5

Template: Github
Owner: dokku
Project: sshcommand
